| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # XMemory Class Reference This class makes it possible to override the C++ memory management by adding new/delete operators to this base class. More... Inheritance diagram for XMemory: [legend] List of all members.
## Public Member Functions
The C++ memory management
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.
## Protected Member Functions
Constructor
| XMemory ()
| Protected default constructor.
## Detailed Description This class makes it possible to override the C++ memory management by adding new/delete operators to this base class. This class is used in conjuction with the pluggable memory manager. It allows applications to control Xerces memory management. ## Constructor & Destructor Documentation
XMemory::XMemory | ( |  | ) | `[protected]`
Protected default constructor. ## Member Function Documentation
void* XMemory::operator new | ( | size_t | size | ) |
  This method overrides operator new. Parameters:
  | size | The requested memory size
void* XMemory::operator new | ( | size_t | size,
|  | MemoryManager * | memMgr |
| ) |  |  |
  This method defines a custom operator new, that will use the provided memory manager to perform the allocation. Parameters:
  | size | The requested memory size
  | memMgr | An application's memory manager
void* XMemory::operator new | ( | size_t | size,
|  | void * | ptr |
| ) |  |  |
  This method overrides placement operator new. Parameters:
  | size | The requested memory size
  | ptr | The memory location where the object should be allocated
void XMemory::operator delete | ( | void * | p | ) |
  This method overrides operator delete. Parameters:
  | p | The pointer to the allocated memory
void XMemory::operator delete | ( | void * | p,
|  | MemoryManager * | memMgr |
| ) |  |  |
  This method provides a matching delete for the custom operator new. Parameters:
  | p | The pointer to the allocated memory
  | memMgr | An application's memory manager
void XMemory::operator delete | ( | void * | p,
|  | void * | ptr |
| ) |  |  |
  This method provides a matching delete for the placement new. Parameters:
  | p | The pointer to the allocated memory
  | ptr | The memory location where the object had to be allocated
The documentation for this class was generated from the following file: XMemory.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.